package com.pcloud.book.adnews.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author zhengyongqiang
 * @date 2019/8/7 11:32
 */
@ApiModel("新闻公众号选择关联")
public class AdNewsWechatChoose extends BaseEntity {

    private static final long serialVersionUID = 209558478794921448L;

    @ApiModelProperty("编辑id")
    private Long adviserId;

    @ApiModelProperty("公众号id")
    private Long adNewsWechatId;

    @ApiModelProperty("是否删除")
    private Boolean isDelete;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("修改人")
    private Long updateUser;

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getAdNewsWechatId() {
        return adNewsWechatId;
    }

    public void setAdNewsWechatId(Long adNewsWechatId) {
        this.adNewsWechatId = adNewsWechatId;
    }

    public Boolean getDelete() {
        return isDelete;
    }

    public void setDelete(Boolean delete) {
        isDelete = delete;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    @Override
    public String toString() {
        return "AdNewsWechatChoose{" +
                "adviserId=" + adviserId +
                ", adNewsWechatId=" + adNewsWechatId +
                ", isDelete=" + isDelete +
                ", createUser=" + createUser +
                ", updateUser=" + updateUser +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
